import Question from "./Question";

export default class Answer {
    kind : string;
    value: string;
    index: number;


    constructor(question: string, value: string, index: number= 0) {
        if (question === undefined || question === null) {
            throw new Error('cannot create action without a kind');
        }
        this.kind = question;
        this.value = value;
        this.index = index;
    }

    toString() {
        if (this.value) {
            return `${this.kind}?${this.value}`
        } else {
            return this.kind
        }
    }
}